core / LedgerTransaction / toSignedTransaction

# toSignedTransaction

`fun toSignedTransaction(andSignWithKeys: List<KeyPair> = emptyList(), allowUnusedKeys: Boolean = false): SignedTransaction`

Converts this transaction to SignedTransaction form, optionally using the provided keys to sign. There is no requirement that andSignWithKeys include all required keys.

### Exceptions

`IllegalArgumentException` - if a key is provided that isnt listed in any command and allowUnusedKeys is false.